Bug 227113 - Review Request: rhino-1.6-0.r2.2jpp - JavaScript for Java
Review Request: rhino-1.6-0.r2.2jpp - JavaScript for Java
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Permaine Cheung
Fedora Package Reviews List
:
Depends On:
Blocks: 227059
  Show dependency treegraph
 
Reported: 2007-02-02 12:57 EST by Rafael H. Schloming
Modified: 2014-12-01 18:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-15 13:43:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pcheung: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2007-02-02 12:57:01 EST
Spec URL: http://people.redhat.com/rafaels/specs/rhino-1.6-0.r2.2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/rhino-1.6-0.r2.2jpp.src.rpm
Description: Rhino is an open-source implementation of JavaScript written entirely
in Java. It is typically embedded into Java applications to provide
scripting to end users.

Examples for rhino.

Documentation for rhino.

Javadoc for rhino.
Comment 1 Deepak Bhole 2007-02-16 15:22:35 EST
re-assigning
Comment 3 Permaine Cheung 2007-03-13 15:08:46 EDT
Please fix items marked by X:
MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
* license field matches the actual license.
* license is open source-compatible.
 - use acronyms for licences where common
* specfile name matches %{name}
* verify source and patches (md5sum matches upstream, know what the patches do)
- if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie.
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
* skim the summary and description for typos, etc.
* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* if %{?dist} is used, it should be in that form (note the ? and %
locations)
X license text included in package and marked with %doc
 No license marked with %doc
* keep old changelog entries; use judgement when removing (too old?
useless?)
* packages meets FHS (http://www.pathname.com/fhs/)
* rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there
* changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.

* Packager tag should not be used
* Vendor tag should not be used
* Distribution tag should not be used
* use License and not Copyright
* Summary tag should not end in a period
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
X specfile is legible
 - the ant command in %build has reference to xmlbeans/xbean, should that be get
rid of?
* package successfully compiles and builds on at least x86
* BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
* summary should be a short and concise description of the package
* description expands upon summary (don't include installation
instructions)
* make sure lines are <= 80 characters
* specfile written in American English
* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
* don't use %makeinstall
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
* consider using cp -p to preserve timestamps
* split Requires(pre,post) into two separate lines
* package should probably not be relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
* package should own all directories and files
* there should be no %files duplicates
* file permissions should be okay; %defattrs should be present
* %clean should be present
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
[pcheung@to-fcjpp1 review]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/rhino-1.6-0.1.r5.1jpp.1.fc7.noarch.rpm
rhino = 0:1.6-0.1.r5.1jpp.1.fc7
[pcheung@to-fcjpp1 review]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/rhino-demo-1.6-0.1.r5.1jpp.1.fc7.noarch.rpm
rhino-demo = 0:1.6-0.1.r5.1jpp.1.fc7
[pcheung@to-fcjpp1 review]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/rhino-javadoc-1.6-0.1.r5.1jpp.1.fc7.noarch.rpm
rhino-javadoc = 0:1.6-0.1.r5.1jpp.1.fc7
[pcheung@to-fcjpp1 review]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/rhino-manual-1.6-0.1.r5.1jpp.1.fc7.noarch.rpm
rhino-manual = 0:1.6-0.1.r5.1jpp.1.fc7

[pcheung@to-fcjpp1 review]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/rhino-1.6-0.1.r5.1jpp.1.fc7.noarch.rpm
/bin/sh
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 review]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/rhino-javadoc-1.6-0.1.r5.1jpp.1.fc7.noarch.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 review]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/rhino-manual-1.6-0.1.r5.1jpp.1.fc7.noarch.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 review]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/rhino-demo-1.6-0.1.r5.1jpp.1.fc7.noarch.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

X run rpmlint on the binary RPMs
There are 2 errors:
E: rhino-javadoc zero-length /usr/share/javadoc/rhino-1.6/package-list
E: rhino-javadoc zero-length
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/ContextFactory.Listener.html
Are these auto-generated files?
Please fix the wrong-file-end-of-line-encoding warnings:
[pcheung@to-fcjpp1 review]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/rhino-*rpm
W: rhino non-standard-group Development/Libraries/Java
W: rhino no-documentation
W: rhino non-standard-group Development/Libraries/Java
W: rhino-demo non-standard-group Development/Libraries/Java
W: rhino-demo no-documentation
W: rhino-javadoc non-standard-group Development/Documentation
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/debug/DebuggableScript.html
E: rhino-javadoc zero-length /usr/share/javadoc/rhino-1.6/package-list
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/serialize/package-frame.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/optimizer/package-frame.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/Script.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/FunctionObject.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/WrappedException.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/allclasses-frame.html
E: rhino-javadoc zero-length
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/ContextFactory.Listener.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/serialize/package-summary.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/ScriptableObject.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/JavaScriptException.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/serialize/package-tree.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/GeneratedClassLoader.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/serialize/ScriptableOutputStream.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/constant-values.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/SecurityController.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/Synchronizer.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/debug/package-frame.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/deprecated-list.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/Function.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/EvaluatorException.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/optimizer/package-summary.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/optimizer/ClassCompiler.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/RefCallable.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/allclasses-noframe.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/Wrapper.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/overview-frame.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/package-frame.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/ImporterTopLevel.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/overview-tree.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/EcmaError.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/debug/package-summary.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/optimizer/package-tree.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/package-tree.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/index-all.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/debug/package-tree.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/WrapFactory.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/RhinoException.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/Scriptable.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/serialize/ScriptableInputStream.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/ErrorReporter.html
W: rhino-javadoc wrong-file-end-of-line-encoding
/usr/share/javadoc/rhino-1.6/help-doc.html
W: rhino-manual non-standard-group Development/Libraries/Java


SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
* package should build in mock
Comment 4 Deepak Bhole 2007-03-13 16:07:02 EDT
> X license text included in package and marked with %doc
>  No license marked with %doc

No license is present in the upstream tarball.

st)
> X specfile is legible
>  - the ant command in %build has reference to xmlbeans/xbean, should that be get
> rid of?

I kept it there on purpose so that we don't forget about it during next update..
I will remove it if you still want me to though.

> 
> X run rpmlint on the binary RPMs
> There are 2 errors:
> E: rhino-javadoc zero-length /usr/share/javadoc/rhino-1.6/package-list
> E: rhino-javadoc zero-length
> /usr/share/javadoc/rhino-1.6/org/mozilla/javascript/ContextFactory.Listener.html
> Are these auto-generated files?

Yes, they are auto-generated and beyond packager control.

Warnings about encoding are fixed.

New spec and srpm:
http://people.redhat.com/dbhole/fedora/rhino/rhino.spec
http://people.redhat.com/dbhole/fedora/rhino/rhino-1.6-0.1.r5.1jpp.1.fc7.src.rpm
Comment 5 Permaine Cheung 2007-03-13 17:25:33 EDT
(In reply to comment #4)
> > X license text included in package and marked with %doc
> >  No license marked with %doc
> 
> No license is present in the upstream tarball.
> 
OK
> st)
> > X specfile is legible
> >  - the ant command in %build has reference to xmlbeans/xbean, should that be get
> > rid of?
> 
> I kept it there on purpose so that we don't forget about it during next update..
> I will remove it if you still want me to though.
> 
If you kept it there on purpose, that's fine than.
> > 
> > X run rpmlint on the binary RPMs
> > There are 2 errors:
> > E: rhino-javadoc zero-length /usr/share/javadoc/rhino-1.6/package-list
> > E: rhino-javadoc zero-length
> > /usr/share/javadoc/rhino-1.6/org/mozilla/javascript/ContextFactory.Listener.html
> > Are these auto-generated files?
> 
> Yes, they are auto-generated and beyond packager control.
> 
OK
> Warnings about encoding are fixed.
> 
Great. Thanks!
> New spec and srpm:
> http://people.redhat.com/dbhole/fedora/rhino/rhino.spec
> http://people.redhat.com/dbhole/fedora/rhino/rhino-1.6-0.1.r5.1jpp.1.fc7.src.rpm
> 

rpmlint on mock built rpms:
[pcheung@to-fcjpp1 review]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/rhino-*rpm
W: rhino non-standard-group Development/Libraries/Java
W: rhino no-documentation
W: rhino non-standard-group Development/Libraries/Java
W: rhino-demo non-standard-group Development/Libraries/Java
W: rhino-demo no-documentation
W: rhino-javadoc non-standard-group Development/Documentation
E: rhino-javadoc zero-length /usr/share/javadoc/rhino-1.6/package-list
E: rhino-javadoc zero-length
/usr/share/javadoc/rhino-1.6/org/mozilla/javascript/ContextFactory.Listener.html
W: rhino-manual non-standard-group Development/Libraries/Java
E: rhino-manual zero-length
/usr/share/doc/rhino-manual-1.6/apidocs/org/mozilla/javascript/ContextFactory.Listener.html
E: rhino-manual zero-length /usr/share/doc/rhino-manual-1.6/apidocs/package-list


APPROVED.
Reassigning for building in plague.
Comment 6 Matt Wringe 2007-03-13 17:28:03 EDT
New Package CVS Request
=======================
Package Name: rhino
Short Description: JavaScript for Java
Owners: mwringe@redhat.com
Branches: devel
Comment 7 Lubomir Rintel 2008-07-22 10:33:07 EDT
Package Change Request
======================
Package Name: rhino
New Branches: EL-4 EL-5
Updated EPEL CC: lkundrak

mwringe agreed to maintain this via IRC
Comment 8 Kevin Fenzi 2008-07-22 12:07:46 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.